@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.formpart {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.flex-gap {
    display: inline-flex;
    flex-wrap: wrap;
    gap: 1em;
}

.claim-ready {
    background-color: #F6FFD9;
}

.full-claim-ready {
    background-color: #CEF4F9;
}

.assignment-current {
    background-color: #F6FFD9;
}

.assignment-lastday {
    background-color: #F5B603;
}

.assignment-afterdeadline {
    background-color: #F55003;
}

.case-unhandled {
    background-color: lightpink;
}

.case-stalled {
    background-color: #FFE4B5;
}

.case-event-misnotified {
    background-color: darkgray;
}

.case-edit-column {
    min-width: 200px;
}

.template-edit {
    min-height: 200px !important;
    max-height: 500px;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.autocomplete {
    position: relative;
}

    .autocomplete .options {
        position: absolute;
        top: 40px;
        left: 0;
        background: white;
        width: 100%;
        padding: 0;
        z-index: 10;
        border: 1px solid #ced4da;
        border-radius: 0.5rem;
        box-shadow: 0 30px 25px 8px rgba(0, 0, 0, 0.1);
    }

    .autocomplete .option {
        display: block;
        padding: 0.25rem;
    }

        .autocomplete .option .option-text {
            padding: 0.25rem 0.5rem;
        }

        .autocomplete .option:hover {
            background: #1E90FF;
            color: #fff;
        }

        .autocomplete .option.disabled {
            background-color: lightgrey;
            cursor: not-allowed;
        }

            .autocomplete .option.disabled:hover {
                background: lightgrey;
                color: var(--bs-body);
            }